Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.connectionfactories
Class ConnectionFactoryImpl

    java.lang.Object
      net.sf.dropboxmq.connectionfactories.ConnectionFactoryImpl

All Implemented Interfaces:
  Serializable, ConnectionFactory, Referenceable

Direct Known Subclasses:
  QueueConnectionFactoryImpl, TopicConnectionFactoryImpl, XAConnectionFactoryImpl

    public class ConnectionFactoryImpl

extends Object
implements ConnectionFactory, Referenceable, Serializable

Created: 09 Mar 2006

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`ConnectionFactoryImpl(Configuration configuration, ManagedConnectionFactory managedConnectionFactory, ConnectionManager connectionManager)`

Method Summary
`Connection` | `createConnection()` Creates a connection with the default user identity.
`protected Connection` | `createConnection(boolean xaRequested)`
`Connection` | `createConnection(String userName, String password)` Creates a connection with the specified user identity.
`protected Configuration` | `getConfiguration()`
`protected ConnectionManager` | `getConnectionManager()`
`protected ManagedConnectionFactory` | `getManagedConnectionFactory()`
`Reference` | `getReference()`
`void` | `setReference(Reference reference)`
`protected String` | `toObjectString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionFactoryImpl

    public ConnectionFactoryImpl(Configuration configuration,
                                 ManagedConnectionFactory managedConnectionFactory,
                                 ConnectionManager connectionManager)

Method Detail

### createConnection

    public Connection createConnection()
                                throws JMSException

  Description copied from interface: `javax.jms.ConnectionFactory`
  Creates a connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createConnection` in interface `ConnectionFactory`
  Returns:
    a newly created connection
  Throws:
    `JMSException` - if the JMS provider fails to create the connection due to some internal error.

### createConnection

    protected Connection createConnection(boolean xaRequested)
                                   throws JMSException

  Throws:
    `JMSException`

### createConnection

    public Connection createConnection(String userName,
                                       String password)
                                throws JMSException

  Description copied from interface: `javax.jms.ConnectionFactory`
  Creates a connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createConnection` in interface `ConnectionFactory`
  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created connection
  Throws:
    `JMSException` - if the JMS provider fails to create the connection due to some internal error.

### getReference

    public Reference getReference()
                           throws NamingException

  Specified by:
    `getReference` in interface `Referenceable`
  Throws:
    `NamingException`

### setReference

    public void setReference(Reference reference)

### getConfiguration

    protected Configuration getConfiguration()

### getManagedConnectionFactory

    protected ManagedConnectionFactory getManagedConnectionFactory()

### getConnectionManager

    protected ConnectionManager getConnectionManager()

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD